#!/usr/bin/perl
use warnings;
use strict;
use TestUtil;
use Test::More 'no_plan';

# Non-tricky cases

assert_cleaned_html('bare <script>', '<script>alert(1)</script>', '');
assert_cleaned_html('onload', '<html><head></head><body onload=alert(1)></body>', '');
assert_cleaned_html('<script src=...>', '< script src = foo ></  script>', 
                    '&#60; script src = foo &#62;');
assert_cleaned_html('<script src=...>', '<script src=foo ></script>', '');
assert_cleaned_html('<link rel="shortcut icon" href="http://eve.com/icon.ico">', '');
assert_cleaned_css_decl('background url', 'background: url("http://eve.com/");', '');



